COBRA-CLI-INIT(1)

NAME

cobra-cli-init - Initialize a Cobra Application

SYNOPSIS

cobra-cli init [PATH] [OPTIONS]

DESCRIPTION

Initialize (cobra-cli init) will create a new application, with a license and the appropriate structure for a Cobra-based CLI application.

cobra-cli init must be run inside of a Go module (please run “go mod init <MODNAME>” first)

ALIASES

init, initialize, initialise, create

OPTIONS

-h, --help
    help for init

OPTIONS INHERITED FROM PARENT COMMAND

-a, --author string
    author name for copyright attribution (default “YOUR NAME”)

--config string
    config file (default is $HOME/.cobra.yaml)

-l, --license string
    name of license for the project

--viper
    Use Viper for configuration

SEE ALSO

cobra-cli(1), cobra-cli-add(1)